2 May 2012
gif2rgb
1
GIFLIB
GIFLIB Documentation

# gif2rgb

convert images saved as GIF to 24-bit RGB triplets

      gif2rgb
          -v
          -1
          -c colors
          -s
          		width
          		height
          -o outfile
          -h
          gif-file

## Options

-v

  Verbose mode (show progress). Enables printout of running scan lines.

-1

  Only one file in the format of RGBRGB... triplets (Each of R, G,B is a byte) is being read or written. This file size is 3 * Width * Height. If stdin is used for input or stdout for output, this option is implicitly applied. The default (if not `-1') is 3 files with the names OutFileName.R, OutFileName.G, OutFileName.B, each of which is Width * Height bytes.

-c colors

  Specifies number of colors to use in RGB-to-GIF conversions, in bits per pixels, so '-c 8' actually specifies 256 colors (maximum and default).

-s width height

  Sets RGB-to-GIF conversion mode and specifies the size of the image to read.

-o

  specifies the name of the out file (see also `-1' above).

-h

  Print one line of command line help, similar to Usage above.

By default, convert a GIF input file to RGB triplets. If -s is specified, convert RGB input to a GIF.

If no input file is given, gif2rgb will try to read data from stdin.

## Author

Gershon Elber.